#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 5

Name:           plasma-pass
Version: 1.1.0
Release:        %mkrel %{rel}
Summary:        Plasma applet for the Pass password manager
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma-pass/%{name}-%{version}.tar.xz
Patch0:         plasma-pass-1.1.0-backport-upstream-fixes-from-20200622.patch

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)

# KDE Frameworks
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)

%description
Plasma Pass is a Plasma applet to access password from pass, the standard
UNIX password manager.

%files -f %{name}.lang
%doc README.md
%license COPYING
%_kf5_sysconfdir/xdg/%{name}.categories
%_kf5_libdir/qt5/qml/org/kde/plasma/private/plasmapass/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.pass/
%_kf5_metainfodir/org.kde.plasma.pass.appdata.xml
%_kf5_services/plasma-applet-org.kde.plasma.pass.desktop

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1659391
- Rebuild for new Qt5

* Wed Jul 22 2020 daviddavid <daviddavid> 1.1.0-4.mga8
+ Revision: 1607757
- backport upstream fixes from git 20200622
- add upstream patch to fix build against Qt 5.15

* Thu May 28 2020 daviddavid <daviddavid> 1.1.0-3.mga8
+ Revision: 1588565
- switch appdata file to kf5_metainfo dir

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1539303
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Dec 06 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1464854
- new version: 1.1.0

* Mon Apr 01 2019 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1384014
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1368364
- initial package plasma-pass

